#eastern keep mark of earth
from eventAPI import *
from APIUtils import *

rtkeep1Earth = 0

def fireEvent(e):
   global rtkeep1Earth
   rtkeep1Earth = getTag(e, "rtkeep1Earth")
   if (rtkeep1Earth > 0):
      return 1
   else:
      if (poseYesNo(e, ["The symbol on the wall here is glowing.", "", "Will you touch the Symbol of Earth?"])):
         giveMark(e)
   if (rtkeep1Earth != 0):
      return 1
   else:
      return 0

def giveMark(e):
   global rtkeep1Earth
   rtkeep1Earth = 1
   setTag(e, "rtkeep1Earth", rtkeep1Earth)
   showMessage(e, ["Darkness surrounds you and a huge weight begins to crush you."], optionInput)
   showMessage(e, ["When you recover, you notice that the symbol is no longer glowing."], optionInput)
   partyIdx = 0
   while (partyIdx < getPartyCount(e)):
      modifyHP(e, partyIdx, -30)
      partyIdx += 1
   return 1